<?php 
/****************************************************
*
* @File: 		archive.php
* @Package:	GetSimple
* @Action:	Displays and starts the website archives 	
*
*****************************************************/

	require_once('inc/functions.php');
	$userid = login_cookie_check();
	$table = '';
	
	
	// if zip.php exists, delete it	
	if (file_exists('../zip.php')) {
		unlink('../zip.php');
	}

	// if a backup needs to be created
	if(isset($_GET['do'])) {
		$file="inc/zip-files.php";
		$newfile="../zip.php";
		copy($file, $newfile);
		header('Location: ../zip.php');	
	}
	
	// if a backup has just been created
	if(isset($_GET['done'])) {
		if (file_exists("../zip.php")) {
			unlink("../zip.php");
			$success = "Successful website archive!";
		}	
	}
?> 

<?php get_template('header', cl($SITENAME).' &raquo; Backup Management &raquo; Website Archives'); ?>
	
	<h1><a href="<?php echo $SITEURL; ?>" target="_blank" ><?php echo cl($SITENAME); ?></a> <span>&raquo;</span> Backup Management <span>&raquo;</span> Website Archives</h1>
	
	<?php include('template/include-nav.php'); ?>
	<?php 
	if (isset($success)) {
		echo '<div class="updated">'.$success.'</div>';
	} elseif (isset($err)) {
		echo '<div class="error"><b>Error:</b> '.$err.'</div>';
	} elseif (@$_GET['upd'] == 'del-success' ) {
		echo '<div class="updated">Archive deleted successfully: <b>'.$_GET['id'].'</b></div>';
	}
	?>

	<div class="bodycontent">
	
	<div id="maincontent">
		<div class="main" >
		<label>Website Archives</label>
		<div class="edit-nav" >
		<a id="waittrigger" href="archive.php?do" accesskey="c" title="Create a New Archive" ><em>C</em>reate New Archive Now</a>
		<div class="clear"></div></div>
		<p style="display:none" id="waiting" ><b>Please Wait:</b> Creating website archive...</p>
		<table class="highlight" summary="Lists all archives of the website" >	
		<?php
			$count="0";
			$path = tsl("../backups/zip/");
			
			$filenames = getFiles($path);

			natsort($filenames);
			rsort($filenames);
			
			foreach ($filenames as $file) {
				if($file != "." && $file != ".." && $file != ".htaccess" ) {
					$timestamp = explode('_', $file);
					$name = shtDate($timestamp[0]);
					clearstatcache();
					$ss = @stat($path . $file);
					$size = fSize($ss['size']);
					echo '<tr>
							<td><a title="Download Archive: '. $name .'?" href="'. $path . $file .'">'.$name .'</a></td>
							<td style="width:70px;text-align:right;" ><span>'.$size.'</span></td>
							<td class="delete" ><a class="delconfirm" title="Delete Archive: '. $name .'?" href="inc/deletefile.php?zip='. $file .'">X</a></td>
						  </tr>';
					$count++;
				}
			}

		?>
		</table>
		<p><em><b><?php echo $count; ?></b> total archives</em></p>
		</div>
	</div>
	
	<div id="sidebar" >
		<?php include('template/sidebar-backups.php'); ?>
	</div>

	
	<div class="clear"></div>
	</div>
<?php get_template('footer'); ?>