<?php
/****************************************************
*
* @File: 		backup-edit.php
* @Package:	GetSimple
* @Action:	View the current backup of a given page. 	
*
*****************************************************/

	require_once('inc/functions.php');
	$userid = login_cookie_check();

	// get page url to display
	if ($_GET['uri'] != '') {
		$uri = $_GET['uri'];
		$file = $uri .".bak.xml";
		$path = "../backups/pages/";
		
		$data = getXML($path . $file);
			$title = $data->title;
			$pubDate = $data->pubDate;
			$parent = $data->parent;
			$meta = $data->meta;
			$url = $data->url;
			$content = $data->content;
			$private = $data->private;
			$template = $data->template;
			$menu = $data->menu;
			$menuStatus = $data->menuStatus;
			$menuOrder = $data->menuOrder;
	} else {
		header('Location: backups.php?upd=bak-err');
	}
	if ($private != '' ) { $private = '(private)'; } else { $private = ''; }
	if ($menuStatus == '' ) { $menuStatus = 'No'; } else { $menuStatus = 'Yes'; }
	// are we going to do anything with this backup?
	if ($_GET['p'] != '') {
		$p = $_GET['p'];
	} else {
		header('Location: backups.php?upd=bak-err');
	}
	if ($p == 'delete') {
		delete_bak($uri);
		header("Location: backups.php?upd=bak-success&uri=".$uri);
	} elseif ($p == 'restore') {
		restore_bak($uri);
		header("Location: edit.php?uri=". $uri ."&upd=edit-success&type=restore");
	}
?>

<?php get_template('header', cl($SITENAME).' &raquo; Backup Management &raquo; View Page'); ?>
	
	<h1><a href="<?php echo $SITEURL; ?>" target="_blank" ><?php echo cl($SITENAME); ?></a> <span>&raquo;</span> Backup Management <span>&raquo;</span> Viewing &lsquo;<span class="filename" ><?php echo @$url; ?></span>&rsquo;</h1>
	
	<?php include('template/include-nav.php'); ?>
	<?php include('template/error_checking.php'); ?>
	<div class="bodycontent">
	
	<div id="maincontent">
		<div class="main" >
		<label>Backup of &lsquo;<em><?php echo @$url; ?></em>&rsquo;</label>
		
		<div class="edit-nav" >
			 <a href="backups.php" accesskey="c" ><em>C</em>ancel</a> <a href="backup-edit.php?p=restore&uri=<?php echo $uri; ?>" accesskey="r" ><em>R</em>estore</a> <a href="backup-edit.php?p=delete&uri=<?php echo $uri; ?>" accesskey="d" ><em>D</em>elete</a>
			<div class="clear"></div>
		</div>
		
		<table class="simple" >
		<tr><td style="width:105px;" ><b>Page Title:</b></td><td><b><?php echo cl(@$title); ?></b> <?php echo $private; ?></td></tr>
		<tr><td><b>Backup of:</b></td><td>
			<?php 
			if(isset($uri)) {
				if ($PRETTYURLS == '1') { 
					if ($parent != '') { $parent = tsl($parent); }  
					echo '<a target="_blank" href="'. $SITEURL . @$parent . $uri .'">'. $SITEURL . @$parent . $uri .'</a>'; 
				} else {
					echo '<a target="_blank" href="'. $SITEURL .'index.php?id='.$uri.'">'. $SITEURL .'index.php?id='.$uri.'</a>'; 
				}
			} 
			?>
			
			
		</td></tr>
		<tr><td><b>Date:</b></td><td><?php echo lngDate($pubDate); ?></td></tr>
		<tr><td><b>Keywords:</b></td><td><em><?php echo @$meta; ?></em></td></tr>
		<tr><td><b>Menu Text:</b></td><td><?php echo @$menu; ?></td></tr>
		<tr><td><b>Menu Priority:</b></td><td><?php echo @$menuOrder; ?></td></tr>
		<tr><td><b>Enabled on Menu?</b></td><td><?php echo @$menuStatus; ?></td></tr>
		</table>
		
		<textarea style="width:575px;height:400px;background:#f9f9f9;padding:4px;" ><?php echo stripslashes(@$content); ?></textarea>

		</div>
	</div>
	
	<div id="sidebar" >
		<?php include('template/sidebar-backups.php'); ?>
	</div>
	
	<div class="clear"></div>
	</div>
<?php get_template('footer'); ?>