<?php
/****************************************************
*
* @File: 		components.php
* @Package:	GetSimple
* @Action:	Displays and creates static components 
*						of the website. 	
*
*****************************************************/
 
	require_once('inc/functions.php');
	$userid = login_cookie_check();
	$file = "components.xml";
	$path = tsl("../data/other/");
	$bakpath = tsl("../backups/other/");
	$update = ''; $table = '';
	
	// if the components are being saved...
	if (isset($_POST['submitted'])) {
		$value = $_POST['val'];
		$slug = $_POST['slug'];
		$title = $_POST['title'];
		$ids = $_POST['id'];
		$count = 0;
		
		// create backup file for undo           
		createBak($file, $path, $bakpath);
		
		//top of xml file
		$xml = @new SimpleXMLExtended('<?xml version="1.0" encoding="UTF-8"?><channel></channel>');
		if (count($ids) != 0) { 
			foreach ($ids as $id) {
			  if ( ($title[$count] != null) && ($value[$count] != null) ) {
					if ( $slug[$count] == null ) { 
						$slug[$count] = clean_url($title[$count]); 
					}
					$title[$count] = htmlentities($title[$count], ENT_QUOTES, 'UTF-8');
					$value[$count] = htmlentities($value[$count], ENT_QUOTES, 'UTF-8');
					
					//body of xml file
					$components = $xml->addChild('item');
					$components->addChild('title', @$title[$count]);
					$components->addChild('slug', @$slug[$count]);
					$value_note = $components->addChild('value');
					$value_note->addCData(@$value[$count]);
				} 
				$count++;
			}
		}
		$xml->asXML($path . $file);
		header('Location: components.php?upd=comp-success');
	}
	
	// if undo was invoked
	if (isset($_GET['undo'])) { 
		undo($file, $path, $bakpath);
		header('Location: components.php?upd=comp-restored');
	}
	
	//create list of components for html
	$data = getXML($path . $file);
	$componentsec = $data->item;
	
	$count= 0;
	if (count($componentsec) != 0) { 
		foreach ($componentsec as $component) {
			$table .= '<div class="compdiv" id="section-'.@$count.'"><table class="comptable" ><tr><td><b>'. cl(@$component->title) .':</b></td>';
			$table .= '<td style="text-align:right;" ><code>&lt;?php get_component(\''.@$component->slug.'\'); ?&gt;</code></td><td class="delete" >';
			$table .= '<a href="#" title="Delete Component: '. cl(@$component->title).'?" id="del-'.$count.'" onclick="DeleteComp('.$count.'); return false;" >X</a></td></tr></table>';
			$table .= '<textarea name="val[]">'. stripslashes(@$component->value) .'</textarea>';
			$table .= '<input type="hidden" name="slug[]" value="'. @$component->slug .'" />';
			$table .= '<input type="hidden" name="title[]" value="'. @$component->title .'" />';
			$table .= '<input type="hidden" name="id[]" value="'. @$count .'" /></div>';
			$count++;
		}
	}
?>

<?php get_template('header', cl($SITENAME).' &raquo; Components'); ?>

	<h1><a href="<?php echo $SITEURL; ?>" target="_blank" ><?php echo cl($SITENAME); ?></a> <span>&raquo;</span> Theme Management <span>&raquo;</span> Components</h1>
	<?php include('template/include-nav.php'); ?>
	<?php include('template/error_checking.php'); ?>
<div class="bodycontent">
	
	<div id="maincontent">
	<div class="main">
	
	<label>Edit Components</label>
	<div class="edit-nav" >
		<a href="#" id="addcomponent" accesskey="a" ><em>A</em>dd Component</a>
		<div class="clear"></div>
	</div>
	
	<form class="manyinputs" action="<?php echo $_SERVER['PHP_SELF']; ?>" method="post" >
		<div id="divTxt"></div> 
		<?php echo $table; ?>
		<input type="hidden" id="id" value="<?php echo @$count; ?>" />
		<p><input type="submit" class="submit" name="submitted" id="button" value="Save Components" /> &nbsp;&nbsp;or&nbsp;&nbsp; <a class="cancel" href="theme.php">Cancel</a></p>
	</form>
	</div>
	</div>
	
	<div id="sidebar">
		<?php include('template/sidebar-theme.php'); ?>
	</div>

	
	<div class="clear"></div>
	</div>
<?php get_template('footer'); ?>