<?php
/****************************************************
*
* @File: 		edit.php
* @Package:	GetSimple
* @Action:	Edit or create new pages for the website. 	
*
*****************************************************/

	require_once('inc/functions.php');
	$userid = login_cookie_check();

	// get passed variables
	$uri 		= @$_GET['uri'];
	$id 		= @$_GET['id'];
	$ptype 	= @$_GET['type'];
	$path = '../data/pages/';
	$theme_templates = ''; 	$parents_list = ''; 	$keytags = '';
	$parent = ''; $template = ''; $menuStatus = '';  $private = '';  $menu = '';  $content = '';  $title = '';
	
	if ($uri) {
		// get saved page data
		$file = $uri .'.xml';
		
		if (!file_exists($path . $file)) { 
			header('Location: pages.php?error=The requested page does not exist');
			exit;
		}

		$data_edit = getXML($path . $file);
			$title = $data_edit->title;
			$pubDate = $data_edit->pubDate;
			$meta = $data_edit->meta;
			$url = $data_edit->url;
			$content = $data_edit->content;
			$template = $data_edit->template;
			$parent = $data_edit->parent;
			$menu = $data_edit->menu;
			$private = $data_edit->private;
			$menuStatus = $data_edit->menuStatus;
			$menuOrder = $data_edit->menuOrder;
		$buttonname = "Save Updates";
	} else {
		$buttonname = "Save Page";
	}
	

	// MAKE SELECT BOX OF AVAILABLE TEMPLATES
	if ($template == '') { $template = 'template.php'; }
	$themes_path = "../theme/". $TEMPLATE;
	
	$themes_handle = @opendir($themes_path) or die("Unable to open $themes_path");
	while ($file = readdir($themes_handle)) {
		if( isFile($file, $themes_path, 'php') ) {
			$templates[] = $file;
		}
	}

	sort($templates);
	foreach ($templates as $file) {
		if ($template == $file) { $sel="selected"; } else { $sel=""; };
		if ($file == 'template.php') { $templatename="Default Template"; } else { $templatename=$file; }
		$theme_templates .= '<option '.@$sel.' value="'.$file.'" >'.$templatename.'</option>';
  	}
	
	
	// MAKE SELECT BOX FOR PARENT PAGES
	$parents = getFiles($path);
	sort($parents);
	if ($parent == null) { $none="selected"; } else { $none=""; };
	$parents_list .= '<option '.@$none.' value="" >-- None --</option>';
	
	foreach ($parents as $fi) {
		if( isFile($fi, $path, 'xml') ) {
			$goodname = ereg_replace(".xml", "", $fi);
			if ($parent == $goodname) { $sel="selected"; } else { $sel=""; };
			if ($goodname != $uri ) {
				$tmpData = getXML($path . $fi);
				if ($tmpData->parent == '') { 
					$parents_list .= '<option '.@$sel.' value="'.$goodname.'" >'.$goodname.'</option>';
				}
			}
  		}
  	}
  	
	// SETUP CHECKBOXES
	if ($menuStatus != '') { $sel = 'checked';	}
	if ($private != '') { $sel_p = 'checked';	}
	if ($menu == '') { $menu = @$title; } 

	//CREATE ARRAY FOR KEYWORD SUGGEST
	$tags = array_unique(explode(' ', $content .' '. $title .' '. $menu ));
	foreach ($tags as $tag) {
		$tag = clean_url(strtolower(stripslashes(strip_tags(html_entity_decode($tag)))));
		if (! is_ignore_word($tag) ) {
			$keytags .= "'". $tag ."',";	
		}
	}
?>		


<?php get_template('header', cl($SITENAME).' &raquo; Page Management'); ?>
	
	<h1 align="right">
		<a href="<?php echo $SITEURL; ?>" target="_blank" ><?php echo cl($SITENAME); ?></a> <span>&raquo;</span> Page Management <span>&raquo;</span> <?php if(isset($data_edit)) { echo 'Page &lsquo;<span class="filename" >'. @$url .'</span>&rsquo;'; } else { echo 'New Page'; } ?>		
	</h1>
	
	<?php 
		include('template/include-nav.php');
		include('template/error_checking.php'); 
	?>
	
	<div class="bodycontent">
	
	<div id="maincontent">
		<div class="main">
		
		<label><?php if(isset($data_edit)) { echo 'Page Editing Mode'; } else { echo 'Create New Page'; } ?></label>	

		<!-- pill edit navigation -->
		<div class="edit-nav" >
			<?php 
			if(isset($uri)) {
				if ($PRETTYURLS == '1') {
					if ($parent != '') {$parent = tsl($parent);}
					echo '<a href="'. $SITEURL . @$parent . $uri .'" target="_blank" accesskey="v" ><em>V</em>iew</a>'; 
				} else {
					echo '<a href="'. $SITEURL .'index.php?id='.$uri.'" target="_blank" accesskey="v" ><em>V</em>iew</a>'; 
				}
			} 
			?>
			<?php if ($HTMLEDITOR != '') { ?><a accesskey="g" href="javascript:toggleEditor('post-content');">To<em>g</em>gle Editor</a><?php } ?>
			<a href="#" id="metadata_toggle" accesskey="o" >Page <em>O</em>ptions</a>
			<div class="clear" ></div>
		</div>	
			
		<form class="largeform" id="editform" action="inc/changedata.php" method="post" >
			
			<!-- page title toggle screen -->
			<p id="edit_window">
				<label style="display:none;">Page Title</label>
				<input class="text title" id="post-title" name="post-title" type="text" value="<?php echo cl(@$title); ?>" />
			</p>
				

			<!-- metadata toggle screen -->
			<div style="display:none;" id="metadata_window" >
				<table class="formtable">

				<tr>
					<td><b>Slug/URL:</b><br />
					<input class="text short" type="text" id="post-uri" name="post-uri" value="<?php echo @$url ?>" /></td>

					<td><b>Tags &amp; Keywords:</b><br />
					<input class="text short emphasis" id="post-meta" name="post-meta" type="text" value="<?php echo stripslashes(@$meta); ?>" /></td>

				</tr>

				<tr>
					<td><b>Parent Page:</b><br />
					<select class="text short" id="post-parent" name="post-parent" >
						<?php echo @$parents_list; ?>
					</select></td>
					
					<td><b>Template:</b><br />
					<select class="text short" id="post-template" name="post-template" >
						<?php echo $theme_templates; ?>
					</select></td>
				</tr>
				
			
				<tr>
					<td><b>Keep Private?</b> &nbsp;&nbsp;&nbsp;<input type="checkbox" id="post-private" name="post-private" <?php echo @$sel_p; ?> />
					</td>
					
					<td>
							<b><a href="navigation.php" style="display:inline;font-weight:bold !important;" rel="superbox[iframe][300x350]" >Add to Menu</a>?</b> &nbsp;&nbsp;&nbsp;<input type="checkbox" id="post-menu-enable" name="post-menu-enable" <?php echo @$sel; ?> /><br />
							<div id="menu-items"><span>menu text&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;priority</span><input class="text" style="width:163px;" id="post-menu" name="post-menu" type="text" value="<?php echo cl(@$menu); ?>" />&nbsp
							<select class="text"  style="width:47px;" id="post-menu-order" name="post-menu-order" >
								<?php if($menuOrder) { 
									if($menuOrder == 0) {
										echo '<option value="" selected>-</option>'; 
									} else {
										echo '<option value="'.$menuOrder.'" selected>'.$menuOrder.'</option>'; 
									}
								} ?>
									<option value="">-</option><option value="1">1</option><option value="2">2</option><option value="3">3</option><option value="4">4</option><option value="5">5</option><option value="6">6</option><option value="7">7</option><option value="8">8</option><option value="9">9</option><option value="10">10</option><option value="11">11</option><option value="12">12</option><option value="13">13</option><option value="14">14</option><option value="15">15</option><option value="16">16</option><option value="17">17</option><option value="18">18</option><option value="19">19</option><option value="20">20</option>
							</select></div>
					</td>
				</tr>
				
				<!-- page parent selection -->
				<tr class="trodd" >

				</tr>
				
				<!-- saved date -->
				<tr>
					
				</tr>
				
			</table>

			</div>	
				
		
			<!-- page body -->
			<p>
				<label style="display:none;">Page Body</label>
				<textarea id="post-content" name="post-content"><?php echo stripslashes(@$content); ?></textarea>
			</p>
			
			<?php if(isset($data_edit)) { 
				echo '<input type="hidden" name="existing-url" value="'. @$url .'" />'; 
			} ?>	
			
			<p><input class="submit" type="submit" name="submitted" value="<?php echo $buttonname; ?>" /> &nbsp;&nbsp;or&nbsp;&nbsp; <a class="cancel" href="pages.php?cancel">Cancel</a></p>
			
			<small><?php 
					if (isset($pubDate)) { 
						echo 'Last Saved: '. lngDate(@$pubDate).'&nbsp; ';
					}
					if ( file_exists('../backups/pages/'.@$url.'.bak.xml') ) {	
						echo '-&nbsp; <a href="backup-edit.php?p=view&uri='.@$url.'" target="_blank" >Backup Available</a>';
					} 
			?></small>
		</form>
		
		<?php if ($HTMLEDITOR != '') { ?>
		<script type="text/javascript" src="template/js/tiny_mce/tiny_mce.js"></script>

			<script type="text/javascript">
			// Normal initialization of TinyMCE
			tinyMCE.init({
				// General options
				mode : "textareas",
				theme : "advanced",
				skin : "thebigreason",
				plugins : "style,layer,advhr,advimage,advlink,contextmenu,paste,directionality,noneditable,nonbreaking,xhtmlxtras",
			
				// Theme options
				theme_advanced_buttons1 : "formatselect,bold,italic,underline,justifyleft,justifycenter,justifyright,bullist,numlist,link,unlink,image,cleanup,removeformat",
				theme_advanced_buttons2 : "",
				theme_advanced_buttons3 : "",
				theme_advanced_toolbar_location : "top",
				theme_advanced_toolbar_align : "left",
				theme_advanced_statusbar_location : "bottom",
				theme_advanced_resizing : true
			});
			
			function toggleEditor(id) {
				if (!tinyMCE.get(id)) {
					tinyMCE.execCommand('mceAddControl', false, id);
				} else {
					tinyMCE.execCommand('mceRemoveControl', false, id);
				}
			}
			</script>
		
		<?php } ?>
		
			<script type="text/javascript" src="template/js/jquery.tag.js"></script>
			<script type="text/javascript">
			<!--
			$(function () {
			    $('#post-meta').tagSuggest({
			        tags: [<?php echo $keytags; ?>]
			    });
			});
			//-->
			</script>
	</div>
	</div><!-- end maincontent -->
	
	
	<div id="sidebar" >
		<?php include('template/sidebar-pages.php'); ?>

		
		<!-- upload toggle window -->
		<div id="upload_window" class="section">
			<h3>File Upload</h3>
			<div id="fileupload" ></div>
			<p class="small">Max file size: <b><?php echo ini_get('upload_max_filesize'); ?></small></b></p>
			<!-- for the jquery uploader -->
			<input id="siteurl" type="hidden" value="<?php echo $SITEURL; ?>" />
		</div>
		
	</div>
	
	<div class="clear"></div>
	</div>
<?php get_template('footer'); ?>