<?php 
/****************************************************
*
* @File: 		health-check.php
* @Package:	GetSimple
* @Action:	Displays the log file passed to it 	
*
*****************************************************/

	require_once('inc/functions.php');
	$file = 'website.xml';
	$path = tsl('../data/other/');
	$ref = $_SERVER['SERVER_NAME'];
	$data = @getXML($path . $file);
	$SITENAME = $data->SITENAME;
	$SITEURL = $data->SITEURL;
	
	$data = @getXML('../data/other/authorization.xml');
	$APIKEY = $data->apikey;
	
	$userid = login_cookie_check();
?>

<?php get_template('header', cl($SITENAME).' &raquo; Support &raquo; Website Health Check'); ?>
	
	<h1><a href="<?php echo $SITEURL; ?>" target="_blank" ><?php echo cl($SITENAME); ?></a> <span>&raquo;</span> Support <span>&raquo;</span> Website Health Check</h1>
	<?php include('template/include-nav.php'); ?>
	<?php include('template/error_checking.php'); ?>

<div class="bodycontent">
	
	<div id="maincontent">
		<div class="main">
			<h3>Website Health Check</h3>
			<h2>GetSimple Version</h2>
			<ul>
				<?php
				//$request = 'http://get-simple.info/api.php?k='.$APIKEY.'&v='.$site_version_no;
				//$curl = curl_init();
				//curl_setopt ($curl, CURLOPT_REFERER, $ref);
				//curl_setopt ($curl, CURLOPT_URL, $request);
				//curl_setopt ($curl, CURLOPT_RETURNTRANSFER, true);
				//$apikey = curl_exec($curl);
				//curl_close ($curl);
				
				//$apikey = @json_decode($apikey);
				$apikey = json_decode(file_get_contents('http://get-simple.info/api.php?k='.$APIKEY.'&v='.$site_version_no));

				if ($apikey->status == '0') {
					$ver = ' <span style="color:#D94136;" >&nbsp;... Upgrade needed to '.$apikey->latest .'</span> &nbsp;&nbsp;<a href="http://get-simple.info/download">Download Now</a>';
				} else {
					$ver = ' <span style="color:#308000;" >&nbsp;... Latest version installed ('.$site_version_no.')</span>';
				}
				?>
				<li>GetSimple Version: <?php echo $ver; ?></li>
			</ul>
			
			<h2>Server Setup</h2>
			<ul>
				<?php
					if ( phpversion() < '5.1.3' ) {
						echo '<li>PHP Version <b>'. phpversion().'</b> <span style="color:#D94136;" >&nbsp;... PHP 5.1.3 or greater is required - Error</span></li>';
					} else {
						echo '<li>PHP Version <b>'. phpversion().'</b> <span style="color:#308000;" >&nbsp;... OK</span></li>';
					}

					if  (in_array  ('curl', get_loaded_extensions())) {
						echo '<li>cURL <span style="color:#308000;" >&nbsp;... Installed - OK</span></li>';
					}
					else{
						echo '<li>cURL <span style="color:#D94136;" >&nbsp;... Not Installed - Warning</span></li>';
					}

					if ( ! phpversion('SimpleXML') ) {
						echo '<li>SimpleXML Module <span style="color:#D94136;" >&nbsp;... Not Installed - Error</span></li>';
					} else {
						echo '<li>SimpleXML Module <span style="color:#308000;" >&nbsp;... Installed - OK</span></li>';
					}
					
					if (! function_exists('date_default_timezone_set') ) {
						echo '<li>Default Timezone Function <span style="color:#D94136;" >&nbsp;... Not Installed - Warning</span></li>';
					} else {
						echo '<li>Default Timezone Function <span style="color:#308000;" >&nbsp;... Installed - OK</span></li>';
					}

					if ( function_exists('apache_get_modules') ) {
						if(!in_array('mod_rewrite',apache_get_modules())) {
							echo '<li>Apache Mod Rewrite <span style="color:#D94136;" >&nbsp;... Not Installed - Warning</span></li>';
						} else {
							echo '<li>Apache Mod Rewrite <span style="color:#308000;" >&nbsp;... Installed - OK</span></li>';
						}
					} else {
						echo '<li>Apache Mod Rewrite <span style="color:#308000;" >&nbsp;... Installed - OK</span></li>';
					}

	?>
			</ul>
			
			<h2>Data File Integrity Check</h2>
			<ul>
				<?php 
						$base_path = '../data/';
						$path = $base_path .'pages';
						$data = getFiles($path);
						sort($data);
						foreach($data as $file) {
							if( isFile($file, $path) ) {
								echo '<li><b>'. tsl($path) . $file .'</b> ' . @valid_xml(tsl($path) . $file) .'</li>';
							}							
						}

						$base_path = '../data/';
						$path = $base_path .'other';
						$data = getFiles($path);
						sort($data);
						foreach($data as $file) {
							if( isFile($file, $path) ) {
								echo '<li><b>'. tsl($path) . $file .'</b> ' . @valid_xml(tsl($path) . $file) .'</li>';
							}							
						}

						$base_path = '../data/';
						$path = $base_path .'other/logs';
						$data = getFiles($path);
						sort($data);
						foreach($data as $file) {
							if( isFile($file, $path, '.log') ) {
								echo '<li><b>'. tsl($path) . $file .'</b> ' . @valid_xml(tsl($path) . $file) .'</li>';
							}							
						}

						$path = '../backups/other';
						$data = getFiles($path);
						sort($data);
						foreach($data as $file) {
							if( isFile($file, $path) ) {
								echo '<li><b>'. tsl($path) . $file .'</b> ' . @valid_xml(tsl($path) . $file) .'</li>';
							}							
						}

						$path = '../backups/pages';
						$data = getFiles($path);
						sort($data);
						foreach($data as $file) {
							if( isFile($file, $path) ) {
								echo '<li><b>'. tsl($path) . $file .'</b> ' . @valid_xml(tsl($path) . $file) .'</li>';
							}							
						}
				?>
			</ul>
			
			<h2>Directory Permissions</h2>
			<ul>
				<li><b>../data/pages/</b> <?php if( check_perms("../data/pages/") >= '0755' ) { echo '<span style="color:#308000;" >&nbsp;... '. check_perms("../data/pages/") .' Writable - OK</span>'; } else { echo '<span style="color:#D94136;" >&nbsp;... '. check_perms("../data/pages/") .' Not Writeable - Error!</span>'; } ?></li>
				<li><b>../data/other/</b> <?php if( check_perms("../data/other/") >= '0755' ) { echo '<span style="color:#308000;" >&nbsp;... '. check_perms("../data/other/") .' Writable - OK</span>'; } else { echo '<span style="color:#D94136;" >&nbsp;... '. check_perms("../data/other/") .' Not Writeable - Error!</span>'; } ?></li>
				<li><b>../data/other/logs/</b> <?php if( check_perms("../data/other/logs/") >= '0755' ) { echo '<span style="color:#308000;" >&nbsp;... '. check_perms("../data/other/logs/") .' Writable - OK</span>'; } else { echo '<span style="color:#D94136;" >&nbsp;... '. check_perms("../data/other/logs/") .' Not Writeable - Error!</span>'; } ?></li>
				<li><b>../data/thumbs/</b> <?php if( check_perms("../data/thumbs/") >= '0755' ) { echo '<span style="color:#308000;" >&nbsp;... '. check_perms("../data/thumbs/") .' Writable - OK</span>'; } else { echo '<span style="color:#D94136;" >&nbsp;... '. check_perms("../data/thumbs/") .' Not Writeable - Error!</span>'; } ?></li>
				<li><b>../data/uploads/</b> <?php if( check_perms("../data/uploads/") >= '0755' ) { echo '<span style="color:#308000;" >&nbsp;... '. check_perms("../data/uploads/") .' Writable - OK</span>'; } else { echo '<span style="color:#D94136;" >&nbsp;... '. check_perms("../data/uploads/") .' Not Writeable - Error!</span>'; } ?></li>
				<li><b>../backups/zip/</b> <?php if( check_perms("../backups/zip/") >= '0755' ) { echo '<span style="color:#308000;" >&nbsp;... '. check_perms("../backups/zip/") .' Writable - OK</span>'; } else { echo '<span style="color:#D94136;" >&nbsp;... '. check_perms("../backups/zip/") .' Not Writeable - Error!</span>'; } ?></li>
				<li><b>../backups/pages/</b> <?php if( check_perms("../backups/pages/") >= '0755' ) { echo '<span style="color:#308000;" >&nbsp;... '. check_perms("../backups/pages/") .' Writable - OK</span>'; } else { echo '<span style="color:#D94136;" >&nbsp;... '. check_perms("../backups/pages/") .' Not Writeable - Error!</span>'; } ?></li>
				<li><b>../backups/other/</b> <?php if( check_perms("../backups/other/") >= '0755' ) { echo '<span style="color:#308000;" >&nbsp;... '. check_perms("../backups/other/") .' Writable - OK</span>'; } else { echo '<span style="color:#D94136;" >&nbsp;... '. check_perms("../backups/other/") .' Not Writeable - Error!</span>'; } ?></li>
			</ul>
			<p></p>
			
			<h2>.htaccess Existance</h2>
			<ul>
				<li><b>../data/</b> 
				<?php	
					$file = "../data/.htaccess";
					if (! file_exists($file)) {
						copy ('inc/tmp/tmp.deny.htaccess', $file);
					} 
					if (! file_exists($file)) {
						echo ' <span style="color:#D94136;" >&nbsp;... Missing file - Warning!</span>';
					} else {
						$res = @file_get_contents($file);
						if ( !strstr($res, 'Deny from all')) {
							echo ' <span style="color:#D94136;" >&nbsp;... Bad file - Warning!</span>';
						} else {
							echo ' <span style="color:#308000;" >&nbsp;... Good "Deny" file - OK</span>';
						}
					}
				?>
				</li>

				<li><b>../data/uploads/</b> 
				<?php	
					$file = "../data/uploads/.htaccess";
					if (! file_exists($file)) {
						copy ('inc/tmp/tmp.allow.htaccess', $file);
					} 
					if (! file_exists($file)) {
						echo ' <span style="color:#D94136;" >&nbsp;... Missing file - Warning!</span>';
					} else {
						$res = @file_get_contents($file);
						if ( !strstr($res, 'Allow from all')) {
							echo ' <span style="color:#D94136;" >&nbsp;... Bad file - Warning!</span>';
						} else {
							echo ' <span style="color:#308000;" >&nbsp;... Good "Allow" file - OK</span>';
						}
					}
				?>
				</li>
				
				<li><b>../data/thumbs/</b> 
				<?php	
					$file = "../data/thumbs/.htaccess";
					if (! file_exists($file)) {
						copy ('inc/tmp/tmp.allow.htaccess', $file);
					} 
					if (! file_exists($file)) {
						echo ' <span style="color:#D94136;" >&nbsp;... Missing file - Warning!</span>';
					} else {
						$res = @file_get_contents($file);
						if ( !strstr($res, 'Allow from all')) {
							echo ' <span style="color:#D94136;" >&nbsp;... Bad file - Warning!</span>';
						} else {
							echo ' <span style="color:#308000;" >&nbsp;... Good "Allow" file - OK</span>';
						}
					}
				?>
				</li>
				
				<li><b>../data/pages/</b> 
				<?php	
					$file = "../data/pages/.htaccess";
					if (! file_exists($file)) {
						copy ('inc/tmp/tmp.deny.htaccess', $file);
					} 
					if (! file_exists($file)) {
						echo ' <span style="color:#D94136;" >&nbsp;... Missing file - Warning!</span>';
					} else {
						$res = @file_get_contents($file);
						if ( !strstr($res, 'Deny from all')) {
							echo ' <span style="color:#D94136;" >&nbsp;... Bad file - Warning!</span>';
						} else {
							echo ' <span style="color:#308000;" >&nbsp;... Good "Deny" file - OK</span>';
						}
					}
				?>
				</li>

				<li><b>../data/other/</b> 
				<?php	
					$file = "../data/other/.htaccess";
					if (! file_exists($file)) {
						copy ('inc/tmp/tmp.deny.htaccess', $file);
					} 
					if (! file_exists($file)) {
						echo ' <span style="color:#D94136;" >&nbsp;... Missing file - Warning!</span>';
					} else {
						$res = @file_get_contents($file);
						if ( !strstr($res, 'Deny from all')) {
							echo ' <span style="color:#D94136;" >&nbsp;... Bad file - Warning!</span>';
						} else {
							echo ' <span style="color:#308000;" >&nbsp;... Good "Deny" file - OK</span>';
						}
					}
				?>
				</li>

				<li><b>../data/other/logs/</b> 
				<?php	
					$file = "../data/other/logs/.htaccess";
					if (! file_exists($file)) {
						copy ('inc/tmp/tmp.deny.htaccess', $file);
					} 
					if (! file_exists($file)) {
						echo ' <span style="color:#D94136;" >&nbsp;... Missing file - Warning!</span>';
					} else {
						$res = @file_get_contents($file);
						if ( !strstr($res, 'Deny from all')) {
							echo ' <span style="color:#D94136;" >&nbsp;... Bad file - Warning!</span>';
						} else {
							echo ' <span style="color:#308000;" >&nbsp;... Good "Deny" file - OK</span>';
						}
					}
				?>
				</li>
				
				<li><b>../theme/</b> 
				<?php	
					$file = "../theme/.htaccess";
					if (file_exists($file)) {
						unlink($file);
					} 
					if (file_exists($file)) {
						echo ' <span style="color:#D94136;" >&nbsp;... Cannot Delete File - Error!</span>';
					} else {
						echo ' <span style="color:#308000;" >&nbsp;... No file - OK</span>';
					}
				?>
				</li>

			</ul>
	</div>
		
	</div>
	
	<div id="sidebar" >
		<?php include('template/sidebar-support.php'); ?>
	</div>	
	
	<div class="clear"></div>
	</div>
<?php get_template('footer'); ?>