<?php 
/****************************************************
*
* @File: 		install.php
* @Package:	GetSimple
* @Action:	Installs the website if it has never 
*						been setup before. 	
*
*****************************************************/

	require_once('inc/functions.php');
	$file = 'user.xml';
	$path = tsl('../data/other/');
	if (file_exists($path . $file)) {
		$data = getXML($path . $file);
		$USR = $data->USR;
		$PASSWD = $data->PWD;
		$EMAIL = $data->EMAIL;
	}
	
	chmod("../data/", 0755);
	chmod("../data/other/", 0755);
	chmod("../data/other/logs", 0755);
	chmod("../data/pages/", 0755);
	chmod("../data/uploads/", 0755);
	chmod("../data/thumbs/", 0755);
	chmod("../backups/", 0755);				
	chmod("../backups/other/", 0755);
	chmod("../backups/pages/", 0755);	
	chmod("../backups/zip/", 0755);	

	
	// If there is a password set, we assume this site is already setup
	if ($PASSWD != '') { header('Location: index.php'); }
	
	$err ='';
	$random = '';
	$status = '';
	
	//check for required options
	if ( phpversion() < '5.1.3' ) {
		$err .= '<b>Error:</b> PHP 5.1.3 or greater is required, and you have '. phpversion().'<br />';
	} 
	if (! phpversion('SimpleXML')) {
		$err .= '<b>Error:</b> <em>SimpleXML</em> is not installed<br />';
	}
	
	if(! function_exists('date_default_timezone_set') ) { 
		$err .= '<b>Warning:</b> <em>date_default_timezone_set</em> is missing<br />';
	}
	
	if( function_exists('apache_get_modules') ) { 
		if(!in_array('mod_rewrite',apache_get_modules())) {
			$mod_rewrite = '2';
		} else {
			$mod_rewrite = '1';
		}
	} else {
		$mod_rewrite = '0';
	}

	// if the form was submitted...	
	if(isset($_POST['submitted'])) {
		
		if($_POST['sitename'] != '') { 
			$SITENAME1 = cl($_POST['sitename']); 
		} else { 
			$err .= '<b>Error:</b> Website name was not set<br />'; 
		}
		
		$urls = $_POST['siteurl']; 
		if(preg_match('|^http(s)?://[a-z0-9-]+(.[a-z0-9-]+)*(:[0-9]+)?(/.*)?$|i', $urls)) {
			$SITEURL1 = tsl($_POST['siteurl']); 
		} else {
			$err .= '<b>Error:</b> There was a problem with your website URL<br />'; 
		}
		
		if($_POST['user'] != '') { 
			$USR1 = $_POST['user']; 
		} else {
			$err .= '<b>Error:</b> Username was not set<br />'; 
		}
		
		$email = $_POST['email'];
		if(!preg_match("/^([a-zA-Z0-9])+([a-zA-Z0-9.\+=_-])*@([a-zA-Z0-9_-])+([a-zA-Z0-9._-]+)+$/", $email)) {
			 $err .= '<b>Error:</b> There was a problem with your email address<br />'; 
		} else {
			$EMAIL1 = $_POST['email'];
		}

		
		// if there were no errors, setup the site
		if ($err == '') {

			$random = createRandomPassword();
			$PASSWD1 = sha1($random);
	
			// create new users.xml file
			$bakpath = "../backups/other/";
			createBak($file, $path, $bakpath);
		
			$xml = @new SimpleXMLElement('<item></item>');
			$xml->addChild('USR', @$USR1);
			$xml->addChild('PWD', @$PASSWD1);
			$xml->addChild('EMAIL', @$EMAIL1);
			if (is_writable($path . $file)) {
				$xml->asXML($path . $file);
			} else {
				chmod($path, 0755);
				$xml->asXML($path . $file);
			}
			
			$flagfile = "../backups/other/user.xml.reset";
			copy($path . $file, $flagfile);
			
			// create new website.xml file
			$file = 'website.xml';
			$xmls = @new SimpleXMLElement('<item></item>');
			$xmls->addChild('SITENAME', htmlspecialchars($SITENAME1));
			$xmls->addChild('SITEURL', @$SITEURL1);
			$xmls->addChild('TEMPLATE', 'Default_Simple');
			if (is_writable($path . $file)) {
				$xmls->asXML($path . $file);
			} else {
				chmod($path, 0755);
				$xmls->asXML($path . $file);
			}
			
			// create new cp_settings.xml file
			$file = 'cp_settings.xml';
			$xmlc = @new SimpleXMLElement('<item></item>');
			$xmlc->addChild('HTMLEDITOR', '1');
			$xmlc->addChild('HELPSECTIONS', '1');
			$xmlc->addChild('PRETTYURLS', @$mod_rewrite);
			if (is_writable($path . $file)) {
				$xmlc->asXML($path . $file);
			} else {
				chmod($path, 0755);
				$xmlc->asXML($path . $file);
			}
			
		
			// create index.xml page
			$init = "../data/pages/index.xml"; 
			$temp = "inc/tmp/tmp-index.xml";
			if (! file_exists($init)) {
				copy($temp,$init);
			}
			if (file_exists($temp)) {
				unlink($temp);
			}
			
			// create components.xml page
			$init = "../data/other/components.xml";
			$temp = "inc/tmp/tmp-components.xml"; 
			if (! file_exists($init)) {
				copy($temp,$init);
			}
			if (file_exists($temp)) {
				unlink($temp);
			}
			
			// create 403.xml page
			$init = "../data/other/403.xml";
			$temp = "inc/tmp/tmp-403.xml"; 
			if (! file_exists($init)) {
				copy($temp,$init);
			}
			if (file_exists($temp)) {
				unlink($temp);
			}
			
			// create .htaccess page
			$init = "../.htaccess";
			$temp = "inc/tmp/tmp.htaccess"; 
			if (! file_exists($init)) {
				copy($temp,$init);
			}
						
			// send email to new administrator
			$subject  = $site_full_name ." Setup Complete";
			$message .= "Your username is: ". $_POST['user'];
			$message .= "<br>Your new password is: ". $random;
			$message .= '<br>Login here: <a href="'.$SITEURL1.'admin/">'.$SITEURL1.'admin/</a>';
			$message .= "<br>Thank you for using ".$site_full_name."!";
			$status   = sendmail($EMAIL1,$subject,$message);
	
		}
	}
	
?>

<?php get_template('header', $site_full_name.' &raquo; Setup Install'); ?>
	
	<h1><?php echo $site_full_name; ?> <span>&raquo;</span> Installation</h1>
</div>
</div>
<div class="wrapper">
	

	<?php
	// display errors or success messages 
	if ($status == 'success') {
		echo '<div class="updated">Your registration information has been sent to '. $_POST['email'] .'</div>';
	} elseif ($status == 'error') {
		echo '<div class="error"><b>Error:</b> There was a problem sending out the registration information via email. Please make note of the password below.</div>';
	}	
	if ($err != '') {
		echo '<div class="error">'. $err .'</div>';
	}
	if ($random != '') {
		echo '<div class="updated">Your username is <b>'. $_POST['user'] .'</b> and your password is <b>'. $random .'</b> &nbsp&raquo;&nbsp; <a href="index.php">Log in</a></div>';
	}
	
	
	
	// get suggestion for website base url
	$path_parts = pathinfo($_SERVER['PHP_SELF']);
	$path_parts = str_replace("/admin", "", $path_parts['dirname']);
	$fullpath = "http://". $_SERVER['SERVER_NAME'] . $path_parts ."/";	
	?>
	<div id="maincontent">
		<div class="main" >
	<h3><?php echo $site_full_name; ?> Installation</h3>
	
	<form action="install.php" method="post" >
		<p><b>Website Name:</b><br /><input class="text" name="sitename" type="text" value="<?php if(isset($_POST['sitename'])) { echo $_POST['sitename']; } ?>" /></p>
		<p><b>Website Base URL:</b><br /><input class="text" name="siteurl" type="text" value="<?php if(isset($_POST['siteurl'])) { echo $_POST['siteurl']; } else { echo $fullpath;} ?>" /><br />
		<p style="margin:-15px 0 20px 0;color:#D94136;font-size:11px;" >Our suggestion is: &nbsp; <code><?php echo @$fullpath; ?></code></p>
		<p><b>Username:</b><br /><input class="text" name="user" type="text" value="<?php if(isset($_POST['user'])) { echo $_POST['user']; } ?>" /></p>
		<p><b>Email Address:</b><br /><input class="text" name="email" type="text" value="<?php if(isset($_POST['email'])) { echo $_POST['email']; } ?>" /></p>
		<p><input class="submit" type="submit" name="submitted" value="Install Now!" /></p>
	</form>

	</div>
</div>

<div class="clear"></div>
<?php get_template('footer'); ?>