<?php 
/****************************************************
*
* @File: 		log.php
* @Package:	GetSimple
* @Action:	Displays the log file passed to it 	
*
*****************************************************/

	require_once('inc/functions.php');
	$file = 'website.xml';
	$path = tsl('../data/other/');

	$data = getXML($path . $file);
	$SITENAME = $data->SITENAME;
	$SITEURL = $data->SITEURL;
	
	$userid = login_cookie_check();

	$log_name = $_GET['log'];
	$log_path = tsl('../data/other/logs/');
	$log_file = $log_path . $log_name;
	
	if (@$_GET['action'] == 'delete') {
		unlink($log_file);
		header('Location: support.php?success=Log '.$log_name.' has been cleared');
		exit;
	}
	
	if(file_exists($log_file)) {
		$log_data = getXML($log_file);
	}


?>

<?php get_template('header', cl($SITENAME).' &raquo; Support &raquo; Logs'); ?>
	
	<h1><a href="<?php echo $SITEURL; ?>" target="_blank" ><?php echo cl($SITENAME); ?></a> <span>&raquo;</span> Support <span>&raquo;</span> Viewing &lsquo;<span class="filename" ><?php echo @$log_name; ?></span>&rsquo;</h1>
	<?php include('template/include-nav.php'); ?>
	<?php include('template/error_checking.php'); ?>

<div class="bodycontent">
	
	<div id="maincontent">
		<div class="main">
			<label>Viewing Log File: &lsquo;<em><?php echo @$log_name; ?></em>&rsquo;</label>
			<div class="edit-nav" >
				<a href="log.php?log=<?php echo $log_name; ?>&action=delete" accesskey="c" class="delconfirm" title="Clear all data from <?php echo $log_name; ?>?" /><em>C</em>lear This Log</a>
				<div class="clear"></div>
			</div>
			<ol class="more" >
				<?php 
				$count = 1;

				foreach ($log_data as $log) {
					echo '<li><p style="font-size:11px;line-height:15px;" ><b style="line-height:20px;" >LOG FILE ENTRY</b><br />';
					foreach($log->children() as $child) {
					  $name = $child->getName();
					  echo '<b>'. ucwords($name) .'</b>: ';
					  
					  $d = $log->$name;
					  $n = strtolower($child->getName());
					  $ip_regex = '/^(?:25[0-5]|2[0-4]\d|1\d\d|[1-9]\d|\d)(?:[.](?:25[0-5]|2[0-4]\d|1\d\d|[1-9]\d|\d)){3}$/';
					  $url_regex = @"((https?|ftp|gopher|telnet|file|notes|ms-help):((//)|(\\\\))+[\w\d:#@%/;$()~_?\+-=\\\.&]*)";
					  
					  
					  //check if its an url address
					  if (do_reg($d, $url_regex)) {
					  	$d = '<a href="'. $d .'" target="_blank" >'.$d.'</a>';
					  }
					  
					  //check if its an ip address
					  if (do_reg($d, $ip_regex)) {
					  	if ($d == $_SERVER['REMOTE_ADDR']) {
					  		$d = 'This Computer (<a href="http://ws.arin.net/whois/?queryinput='. $d.'" target="_blank" >'.$d.'</a>)';
					  	} else {
					  		$d = '<a href="http://ws.arin.net/whois/?queryinput='. $d.'" target="_blank" >'.$d.'</a>';
					  	}
					  }
					  
					  //check if its an email address
					  if (check_email_address($d)) {
					  	$d = '<a href="mailto:'.$d.'">'.$d.'</a>';
					  }
					  
					  //check if its a date
					  if ($n === 'date') {
					  	$d = lngDate($d);
					  }
					  	
					  echo $d;
					  echo ' <br />';
					}
					echo "</p></li>";
					$count++;
				}				
				
				?>
			</ol>
		</div>
		
	</div>
	
	<div id="sidebar" >
		<?php include('template/sidebar-support.php'); ?>
	</div>	
	
	<div class="clear"></div>
	</div>
<?php get_template('footer'); ?>