<?php
/****************************************************
*
* @File: 	pages.php
* @Package:	GetSimple
* @Action:	Edit or create new pages for the website. 	
*
*****************************************************/

	require_once('inc/functions.php');
	$userid = login_cookie_check();
	$id 		= @$_GET['id'];
	$ptype 	= @$_GET['type'];
	$path 	= tsl('../data/pages/');
	$counter = '0';
	$table = '';

	//display all pages
	$filenames = getFiles($path);
	
	$count="0";
	$pagesArray = array();
	if (count($filenames) != 0) { 
		foreach ($filenames as $file) {
			if (isFile($file, $path, 'xml')) {
				$data = getXML($path .$file);
				$status = $data->menuStatus;
				$pagesArray[$count]['title'] = $data->title;
				$pagesArray[$count]['parent'] = $data->parent;
				$pagesArray[$count]['menuStatus'] = $data->menuStatus;
				$pagesArray[$count]['private'] = $data->private;
				if ($data->parent != '') { 
					$parentdata = getXML($path . $data->parent .'.xml');
					$parentTitle = $parentdata->title;
					$pagesArray[$count]['sort'] = $parentTitle .' '. $data->title;
				} else {
					$pagesArray[$count]['sort'] = $data->title;
				}
				$pagesArray[$count]['url'] = $data->url;
				$pagesArray[$count]['date'] = $data->pubDate;
				$parentTitle = '';
				$count++;
			}
		}
	}
	$pagesSorted = subval_sort($pagesArray,'sort');
	$counter = "0";
	if (count($pagesSorted) != 0) { 
		foreach ($pagesSorted as $page) {	
			$counter++;
			if ($page['parent'] != '') {$page['parent'] = $page['parent']."/"; $dash = '<span>&nbsp;&nbsp;&lfloor;&nbsp;&nbsp;&nbsp;</span>'; } else { $dash = ""; }
			$table .= '<tr id="tr-'.$page['url'] .'" >';
			if ($page['title'] == '' ) { $page['title'] = '[No Title] &nbsp;&raquo;&nbsp; <em>'. $page['url'] .'</em>'; }
			if ($page['menuStatus'] != '' ) { $page['menuStatus'] = ' <sup>[menu item]</sup>'; } else { $page['menuStatus'] = ''; }
			if ($page['private'] != '' ) { $page['private'] = ' <sup>[private]</sup>'; } else { $page['private'] = ''; }
			if ($page['url'] == 'index' ) { $homepage = ' <sup>[homepage]</sup>'; } else { $homepage = ''; }
			$table .= '<td>'. @$dash .'<a title="Edit Page: '. cl($page['title']) .'" href="edit.php?uri='. $page['url'] .'" >'. cl($page['title']) .'</a><span class="showstatus toggle" >'. $homepage . $page['menuStatus'] . $page['private'] .'</span></td>';
			$table .= '<td style="width:70px;text-align:right;" ><span>'. shtDate($page['date']) .'</span></td>';
			$table .= '<td class="secondarylink" >';
			if ($PRETTYURLS == '1') {  
				$table .= '<a title="View Page: '. cl($page['title']) .'" target="_blank" href="'. $SITEURL . @$page['parent'] . $page['url'] .'">#</a>'; 
			} else {
				$table .= '<a title="View Page: '. cl($page['title']) .'" target="_blank" href="'. $SITEURL .'index.php?id='.$page['url'].'" >#</a>'; 
			}
			$table .= '</td>';
			$table .= '<td class="delete" ><a class="delconfirm" href="inc/deletefile.php?id='. $page['url'] .'" title="Delete Page: '. stripslashes(strip_tags(html_entity_decode($page['title']))) .'?" >X</a></td></tr>';
			
		}
	}
?>

<?php get_template('header', cl($SITENAME).' &raquo; Page Management'); ?>
	
	<h1>
		<a href="<?php echo $SITEURL; ?>" target="_blank" ><?php echo cl($SITENAME); ?></a> <span>&raquo;</span> Page Management <span>&raquo;</span> All Pages		
	</h1>
	
	<?php 
		include('template/include-nav.php');
		include('template/error_checking.php'); 
	?>
	
	<div class="bodycontent">
	
	<div id="maincontent">
		<div class="main">
			<label>Page Management</label>
			<div class="edit-nav" ><p>Toggle Status &nbsp;<input type="checkbox" id="show-characters" value="" /></p><div class="clear" ></div></div>
			<table id="editpages" class="edittable highlight" summary="Lists all pages to edit" >
				<?php echo $table; ?>
			</table>	
			<p><em><b><?php echo $counter; ?></b> total pages</em></p>
		</div>
	</div><!-- end maincontent -->
	
	
	<div id="sidebar" >
		<?php include('template/sidebar-pages.php'); ?>
	</div>
	
	<div class="clear"></div>
	</div>
<?php get_template('footer'); ?>