<?php

/****************************************************
*
* @File: 	sitemap.php
* @Package:	GetSimple
* @Action:	Creates sitemap.xml in the site's root. 	
*
*****************************************************/

	require_once('inc/functions.php');

// get pages
$path = tsl("../data/pages/");
$count="0";

$filenames = getFiles($path);

if (count($filenames) != 0) { 
	foreach ($filenames as $file) {
		if (isFile($file, $path, 'xml')) {
			$data = getXML($path . $file);
			$status = $data->menuStatus;
			$pagesArray[$count]['title'] = $data->title;
			$pagesArray[$count]['url'] = $data->url;
			if ($data->url == 'index') {
				$pagesArray[$count]['url'] = '';
			}
			$pagesArray[$count]['parent'] = $data->parent;
			$pagesArray[$count]['date'] = $data->pubDate;
			$pagesArray[$count]['private'] = $data->private;
			$pagesArray[$count]['menuStatus'] = $data->menuStatus;
			$count++;
		}
	}
}
$pagesSorted = subval_sort($pagesArray,'menuStatus');

if (count($pagesSorted) != 0) { 

	$xml = @new SimpleXMLElement('<?xml version="1.0" encoding="UTF-8"?><urlset></urlset>');
	$xml->addAttribute('xsi:schemaLocation', 'http://www.sitemaps.org/schemas/sitemap/0.9 http://www.sitemaps.org/schemas/sitemap/0.9/sitemap.xsd', 'http://www.w3.org/2001/XMLSchema-instance');
	$xml->addAttribute('xmlns', 'http://www.sitemaps.org/schemas/sitemap/0.9');
	
	foreach ($pagesSorted as $page) {	

		if ($page['private'] != 'Y') {
			// set <loc>
			if ($PRETTYURLS == '1') {
				if ($page['parent'] != '') { $page['parent'] = tsl($page['parent']); }  
				$pageLoc = tsl($SITEURL . @$page['parent'] . $page['url']);
			} else {
				$pageLoc = $SITEURL .'index.php?id='. $page['url'];
			}
			
			// set <lastmod>
			$tmpDate = date("Y-m-d H:i:s", strtotime($page['date']));
			$pageLastMod = makeIso8601TimeStamp($tmpDate);
			
			// set <changefreq>
			$pageChangeFreq = 'weekly';
			
			// set <priority>
			if ($page['menuStatus'] == 'Y') {
				$pagePriority = '1.0';
			} else {
				$pagePriority = '0.5';
			}
			
			//add to sitemap
			$url_item = $xml->addChild('url');
			$url_item->addChild('loc', $pageLoc);
			$url_item->addChild('lastmod', $pageLastMod);
			$url_item->addChild('changefreq', $pageChangeFreq);
			$url_item->addChild('priority', $pagePriority);
		}
		
		//create xml file
		$file = '../sitemap.xml';
		$xml->asXML($file);
	}
}


$spath = "../data/other/";
$sfile = "website.xml";
$data = getXML($spath . $sfile);
$SITEURL = $data->SITEURL;

if (file_exists('../sitemap.xml')) {
	if( 200 === ($status=pingGoogleSitemaps($SITEURL.'sitemap.xml'))) {
		$response = "Sitemap Created! We also successfully pinged 4 search engines of the update";
		header('location: theme.php?success='.$response);
		exit;
	} else {
		$response = "Sitemap Created, however there was an error pinging one or more of the search engines";
		header('location: theme.php?err='.$response);
		exit;
	}
	
} else {
	$response = "Your sitemap could not be generated";
	header('location: theme.php?err='.$response);	
	exit;
}

?>