<?php 
/****************************************************
*
* @File: 		support.php
* @Package:	GetSimple
* @Action:	Displays and changes website settings 	
*
*****************************************************/

	require_once('inc/functions.php');
	$path = tsl('../data/other/');
	$bakpath = tsl('../backups/other/');
	$file = 'website.xml';
	$data = getXML($path . $file);
	$SITENAME = $data->SITENAME;
	$SITEURL = $data->SITEURL;
	
	$userid = login_cookie_check();
	
	// if the undo command was invoked
	if (isset($_GET['undo'])) { 
		$ufile = 'cp_settings.xml';
		undo($ufile, $path, $bakpath);
		header('Location: support.php?rest=true');
	}
	
	if (isset($_GET['restored'])) { 
		$restored = 'true'; 
	} else {
		$restored = 'false';
	}

	// were changes submitted?
	if(isset($_POST['submitted'])) {
		$FOUR04MONITOR = @$_POST['fouro4monitoring'];

		// create new cpsettings data file
		$ufile = 'cp_settings.xml';
		createBak($ufile, $path, $bakpath);
		$xmlc = @new SimpleXMLElement('<item></item>');
		$xmlc->addChild('HTMLEDITOR', @$HTMLEDITOR);
		$xmlc->addChild('HELPSECTIONS', @$HELPSECTIONS);
		$xmlc->addChild('PRETTYURLS', @$PRETTYURLS);
		$xmlc->addChild('FOUR04MONITOR', @$FOUR04MONITOR);
		$xmlc->asXML($path . $ufile);

		$success = 'Your settings have been updated. <a href="support.php?undo">Undo</a>';
	}

	//are any of the control panel checkboxes checked?
	$four04chck = '';
	if ($FOUR04MONITOR != '' ) { $four04chck = 'checked'; }

?>

<?php get_template('header', cl($SITENAME).' &raquo; Support'); ?>
	
	<h1><a href="<?php echo $SITEURL; ?>" target="_blank" ><?php echo cl($SITENAME); ?></a> <span>&raquo;</span> Support <span>&raquo;</span> Settings</h1>
	<?php include('template/include-nav.php'); ?>
	<?php include('template/error_checking.php'); ?>
	
	<?php 
	if (isset($_GET['err'])) {
		echo '<div class="error"><b>Error:</b> '.$_GET['err'].'</div>';
	} elseif (isset($_GET['success'])) {
		echo '<div class="updated">'.$_GET['success'].'</div>';
	} elseif (isset($success)) {
		echo '<div class="updated">'.$success.'</div>';
	}
	?>
<div class="bodycontent">
	
	<div id="maincontent">

		<div class="main">		
		<form class="largeform" action="<?php echo $_SERVER['PHP_SELF']; ?>" method="post" >
		<h3>Support Settings</h3>
		<p style="display:none;"><input name="show_help" type="checkbox" value="1" <?php echo $helpchck; ?>  /> &nbsp;<b>Show "About" Sections</b> &nbsp;-&nbsp; Entry level page descriptions</p>
		<p><input name="fouro4monitoring" type="checkbox" value="1" <?php echo $four04chck; ?>  /> &nbsp;<b>Email administrator on <abbr title="Page Not Found">404</abbr> errors</b></p>
		<p><input class="submit" type="submit" name="submitted" value="Save Settings" /></p>
	</form>
	</div>
		
		
		<div class="main">
		<h3>View Logs</h3>
		<ol>
			<?php if (file_exists($path . 'logs/404monitoring.log')) { ?>
				<li><p><a href="log.php?log=404monitoring.log">View 404 Errors</a> from your website.</p></li>
			<?php } ?>
			<?php if (file_exists($path . 'logs/contactform.log')) { ?>
				<li><p><a href="log.php?log=contactform.log">View Contact Form Submissions</a> from your website.</p></li>
			<?php } ?>			
			<?php if (file_exists($path . 'logs/failedlogins.log')) { ?>
				<li><p><a href="log.php?log=failedlogins.log">View Failed Login Attempts</a> to your website.</p></li>
			<?php } ?>
			<?php if (file_exists($path . 'logs/tickets.log')) { ?>
				<li><p><a href="log.php?log=tickets.log">View Submitted Tickets</a> that you've made.</p></li>
			<?php } ?>
		</ol>
		</div>
	</div>



	
	<div id="sidebar" >
		<?php include('template/sidebar-support.php'); ?>
	</div>
	<div class="clear"></div>
	</div>
<?php get_template('footer'); ?>