<?php 
/****************************************************
*
* @File: 		theme.php
* @Package:	GetSimple
* @Action:	Displays and changes website settings 	
*
*****************************************************/

	require_once('inc/functions.php');
	$file = "website.xml";
	$path = "../data/other/"; 
	$data = getXML($path . $file);
	$SITENAME = $data->SITENAME;
	$SITEURL = $data->SITEURL;
	$TEMPLATE = $data->TEMPLATE;
	$TIMEZONE = $data->TIMEZONE;
	$theme_options = '';
	
	$userid = login_cookie_check();

	// were changes submitted?
	if( (isset($_POST['submitted'])) && (isset($_POST['template'])) ) {
		
		$TEMPLATE = $_POST['template'];
		
		// create new site data file
		$bakpath = "../backups/other/";
		createBak($file, $path, $bakpath);
		
		
		$xml = @new SimpleXMLElement('<item></item>');
		$xml->addChild('SITENAME', @$SITENAME);
		$xml->addChild('SITEURL', @$SITEURL);
		$xml->addChild('TEMPLATE', @$TEMPLATE);
		$xml->addChild('TIMEZONE', @$TIMEZONE);
		$xml->asXML($path . $file);
		$success = "Your theme has been changed successfully";
	}
	
	// get available themes (only look for folders)
	$themes_path = "../theme";
	$themes_handle = @opendir($themes_path) or die("Unable to open $themes_path");
	while ($file = readdir($themes_handle)) {
		$curpath = $themes_path .'/'. $file;
		if( is_dir($curpath) && $file != "." && $file != ".." ) {
			$sel="";
			if (file_exists($curpath.'/template.php')) {
				if ($TEMPLATE == $file) { $sel="selected";}
				$theme_options .= '<option '.@$sel.' value="'.$file.'" >'.$file.'</option>';
			}
		}
  	}
?>

<?php get_template('header', cl($SITENAME).' &raquo; Theme Management'); ?>
	
	<h1><a href="<?php echo $SITEURL; ?>" target="_blank" ><?php echo cl($SITENAME); ?></a> <span>&raquo;</span> Theme Management</h1>
	<?php include('template/include-nav.php'); ?>
	<?php include('template/error_checking.php'); ?>
	
	<?php 
	if (isset($_GET['err'])) {
		echo '<div class="error"><b>Error:</b> '.$_GET['err'].'</div>';
	} elseif (isset($_GET['success'])) {
		echo '<div class="updated">'.$_GET['success'].'</div>';
	} elseif (isset($success)) {
		echo '<div class="updated">'.$success.'</div>';
	}
	?>
<div class="bodycontent">
	
	<div id="maincontent">
		
		
		<div class="main">
		<h3>Choose Your Theme</h3>
		<form action="<?php echo $_SERVER['PHP_SELF']; ?>" method="post" >
		<p style="display:none" id="waiting" ><b>Please Wait:</b> Creating website sitemap...</p>

		<p><select class="text" style="width:250px;" name="template" >
					<?php echo $theme_options; ?>
			</select>&nbsp;&nbsp;&nbsp;<input class="submit" type="submit" name="submitted" value="Activate Theme" /></p>
		</form>
		<?php
			if ( $SITEURL ) {	
				echo '<p><b>Current theme path: &nbsp;</b> <code>'.$SITEURL.'theme/'.$TEMPLATE.'/</code></p>';
			}
			echo '<p><img style="border:2px solid #333;" ';
		 	if (file_exists('../theme/'.$TEMPLATE.'/images/screenshot.png')) { 
				echo 'src="../theme/'.$TEMPLATE.'/images/screenshot.png"';
			} else {
				echo 'src="template/images/screenshot.jpg"';
			}
			echo ' alt="Theme Screenshot" /></p>';
		?>
			
		</div>
	
	</div>
	
	<div id="sidebar" >
		<?php include('template/sidebar-theme.php'); ?>
	</div>

	<div class="clear"></div>
	</div>
<?php get_template('footer'); ?>