<?php
/****************************************************
*
* @File: 		upload.php
* @Package:	GetSimple
* @Action:	Displays and uploads files to the website 	
*
*****************************************************/
 
	require_once('inc/functions.php');
	$userid = login_cookie_check();
	$path = tsl("../data/uploads/");
	
	// if a file was uploaded
	if (isset($_FILES["file"])) {
		
		
		if ($_FILES["file"]["error"] > 0) {
		  $error = "There was a problem with the file upload";
		} else {
		
		//set variables
	    $count = '1';
	    $file_loc = $path . $_FILES["file"]["name"];
	    $base = $_FILES["file"]["name"];
	    
	    //prevent overwriting
	    while ( file_exists($file_loc) ) {
			$file_loc = $path . $count.'-'. $_FILES["file"]["name"];
			$base = $count.'-'. $_FILES["file"]["name"];
			$count++;
		}
	    
	    //create file
	    move_uploaded_file($_FILES["file"]["tmp_name"], $file_loc);
	    
	    //successfull message
	    $success = 'Success! File location: <a href="'. $SITEURL .'data/uploads/'.$base.'">'. $SITEURL .'data/uploads/'.$base.'</a>';
		}
	}
	

?>

<?php get_template('header', cl($SITENAME).' &raquo; File Management'); ?>
	
	<h1><a href="<?php echo $SITEURL; ?>" target="_blank" ><?php echo cl($SITENAME); ?></a> <span>&raquo;</span> File Management</h1>
	
	<?php include('template/include-nav.php');?>
	<?php include('template/error_checking.php');?>
	
	<?php 
	if (isset($success)) {
		echo '<div class="updated">'.$success.'</div>';
	}
	?>

	<div class="bodycontent">
	
	<div id="maincontent">
		<div class="main" >
		<label>Uploaded Files</label>
		
		<?php

			$count="0";
			$counter = "0";
			$totalsize = 0;
		
			$filenames = getFiles($path);

			if (count($filenames) != 0) { 
				foreach ($filenames as $file) {
					if ($file == "." || $file == ".." || is_dir($path . $file) || $file == ".htaccess"  ) {
						// not a upload file
					} else {
						$filesArray[$count]['name'] = $file;
							$ext = substr($file, strrpos($file, '.') + 1);
						$extention = get_FileType($ext);
						$filesArray[$count]['type'] = $extention;
						clearstatcache();
						$ss = @stat($path . $file);
						$filesArray[$count]['date'] = @date('M j, Y',$ss['ctime']);
						$filesArray[$count]['size'] = fSize($ss['size']);
						$totalsize = $totalsize + $ss['size'];
						$count++;
					}
				}
	
				$filesSorted = subval_sort($filesArray,'name');
			}
				
			echo '<div class="edit-nav" >';
			echo '<select id="imageFilter">';
			echo '<option value="All">Show All</option>';
				
				foreach ($filesSorted as $filter) {
					$filterArr[] = $filter['type'];
				}
				if (count($filterArr) != 0) { 
					$filterArray = array_unique($filterArr);
					$filterArray = subval_sort($filterArray,'type');
					foreach ($filterArray as $type) {
						echo '<option value="'.$type.'">'.$type.'</option>';
					}
				}
			echo '</select><div class="clear" ></div></div>';
			
			if (count($filesSorted) != 0) { 
				echo '<table class="highlight" id="imageTable" summary="Lists all files uploaded to the site" >';
				foreach ($filesSorted as $upload) {
					$counter++;
					echo '<tr class="All '.$upload['type'].'" >';
					echo '<td class="imgthumb" >';
					if ($upload['type'] == 'Images') {
						$gallery = 'rel="superbox[gallery][imgList]"';
						if (file_exists('../data/thumbs/thumbnail.'.$upload['name'])) {
							echo '<a href="'. $path . $upload['name'] .'" title="'. $upload['name'] .'" rel="superbox[gallery][imgFiles]" ><img src="../data/thumbs/thumbnail.'.$upload['name'].'" /></a>';
						} else {
							echo '<a href="'. $path . $upload['name'] .'" title="'. $upload['name'] .'" rel="superbox[gallery][imgFiles]" ><img src="inc/thumb.php?src='. $upload['name'] .'&dest=thumbnail.'. $upload['name'] .'&x=65&f=1" /></a>';
						}
					} else {
						$gallery = '';
					}

					echo '</td><td><a title="View File: '. $upload['name'] .'?" href="'. $path . $upload['name'] .'" '.$gallery.' >'.$upload['name'] .'</a></td>';
					echo '<td style="width:70px;text-align:right;" ><span><b>'. $upload['size'] .'</span></td>';
					echo '<td style="width:70px;text-align:right;" ><span>'. $upload['date'] .'</span></td>';
					echo '<td class="delete" ><a class="delconfirm" title="Delete File: '. $upload['name'] .'?" href="inc/deletefile.php?file='. $upload['name'] .'">X</a></td>';
					echo '</tr>';
				}
				echo '</table>';
				echo '<p><em><b>'. $counter .'</b> total files ('. fSize($totalsize) .')</em></p>';
			}
		?>	
		
		</div>
	</div>
	
		<div id="sidebar" >
		<?php include('template/sidebar-files.php'); ?>
		<!-- for the jquery uploader -->
		<input id="siteurl" type="hidden" value="<?php echo $SITEURL; ?>" />
		</div>	
	
	<div class="clear"></div>
	</div>
<?php get_template('footer'); ?>