<?php
/****************************************************
*
* @File:		contact.php
* @Package:	 	GetSimple
* @Action:	  	Default theme for the GetSimple CMS
*
*****************************************************/

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<title><?php get_page_clean_title(); ?> | <?php get_site_name(); ?></title>
	<meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
	<?php get_header(); ?>
	<meta name="robots" content="index, follow" />
	<link rel="stylesheet" type="text/css" href="<?php get_theme_url(); ?>/default.css" media="all" />

	<script type="text/javascript"><!--
		try {
			document.execCommand("BackgroundImageCache", false, true);
		} catch(err) {}
		/* IE6 flicker hack from http://dean.edwards.name/my/flicker.html */
	--></script>
</head>

<body id="<?php get_page_slug(); ?>" >
<div class="wrapper">
	<div id="header">
		<a class="logo" href="<?php get_site_url(); ?>"><?php get_site_name(); ?></a>
		<p class="tagline"><?php get_component('tagline'); ?></p>
		<ul id="nav">
			<?php get_navigation(return_page_slug()); ?>
		</ul>
	</div><!-- end div#header -->

	<div id="bodycontent">
	
		<div class="post">
			<p class="posthead"><span class="postmeta"></span></p>
			<h1><?php get_page_title(); ?></h1>
			<div class="postcontent">
				<?php get_page_content(); ?>
				
				
				<form action="<?php get_page_url(); ?>" method="post" class="contactform" >
					<?php set_contact_page(); ?>
					<div><b>Name:</b> <input class="text" type="text" value="<?php print($_POST['contact']['name']); ?>" name="contact[name]" /></div>
					<div><b>Email:</b> <input class="text" type="text" value="<?php print($_POST['contact']['email']); ?>" name="contact[email]" /></div>
					<div><b>Subject:</b> <input class="text" type="text" value="<?php print($_POST['contact']['subject']); ?>" name="contact[subject]" /></div>
					<div><b>Message:</b> <textarea class="text" name="contact[body]" ><?php print($_POST['contact']['body']); ?></textarea></div>
					<div class="pot" ><input class="text" type="text" value="" name="contact[pot]" /></div>
					<div><input type="submit" value="Send Email" id="contact-submit" name="contact-submit" /></div>
				</form>
				
			</div>
			<p><small><?php get_page_url(); ?> | Saved <?php get_page_date(); ?></small></p>
		</div>
	</div><!-- end div#bodycontent -->
	
	<div id="sidebar">
		<div class="featured">
			<?php get_component('sidebar'); ?>
			<div class="clear"></div>
		</div>
		
	</div><!-- end div#sidebar -->
	
	<div class="clear"></div>	
	
	<div id="footer">
		<p><?php get_site_name(); ?> | <?php get_site_credits(); ?> | <a href="http://www.cagintranet.com" title="GetSimple Creators" >Theme by Cagintranet</a></p>
	</div><!-- end div#footer -->
</div><!-- end div.wrapper -->
</body>
</html>